Note Class Reference

Notes window class. More...

`#include <Note.h>`

Inheritance diagram for Note:

## Public Slots

void | addTab ()
bool | autoexec () const
void | evaluate ()
void | execute ()
void | executeAll ()
QString | exportASCII (const QString &file=QString::null)
void | exportPDF (const QString &fileName)
bool | hasLineNumbers ()
QString | importASCII (const QString &file=QString::null)
void | modifiedNote ()
void | print ()
void | print (QPrinter *printer)
void | removeTab (int=-1)
void | renameCurrentTab ()
void | setAutoexec (bool)
void | setDirPath (const QString &path)
void | setFont (const QFont &f)
void | setText (const QString &s)
void | showLineNumbers (bool show=true)
| Enables/Disables the line number display. More...
QString | text ()
Public Slots inherited from MdiSubWindow
void | notifyChanges ()
| Notifies the main application that the window has been modified. More...
virtual void | print ()
virtual void | print (QPrinter *)

## Signals

void | currentEditorChanged ()
void | dirPathChanged (const QString &path)
Signals inherited from MdiSubWindow
void | closedWindow (MdiSubWindow *)
| Emitted when the window was closed. More...
void | hiddenWindow (MdiSubWindow *)
| Emitted when the window was hidden. More...
void | modifiedWindow (MdiSubWindow *)
void | resizedWindow (MdiSubWindow *)
void | showContextMenu ()
| Show the context menu. More...
void | statusChanged (MdiSubWindow *)
| Emitted when the window status changed. More...

## Public Member Functions

ScriptEdit * | currentEditor ()
ScriptEdit * | editor (int index)
int | indexOf (ScriptEdit *editor)
void | init (ScriptingEnv *env)
| Note (ScriptingEnv *env, const QString &label, ApplicationWindow *parent, const QString &name=QString(), Qt::WFlags f=0)
void | renameTab (int, const QString &)
void | restore (const QStringList &)
| Not implemented yet. More...
void | save (const QString &fn, const QString &info, bool=false)
void | setName (const QString &name)
void | setTabStopWidth (int length)
int | tabs ()
| ~Note ()
Public Member Functions inherited from MdiSubWindow
ApplicationWindow * | applicationWindow ()
| Returns a pointer to the parent application. More...
void | askOnCloseEvent (bool ask)
| Toggle the "ask on close" flag. More...
QString | aspect ()
| Return the window status as a string. More...
QString | birthDate ()
| Return the creation date. More...
CaptionPolicy | captionPolicy ()
| Return the caption policy. More...
void | closeEvent (QCloseEvent *)
| Close event handler. More...
bool | eventFilter (QObject *object, QEvent *e)
| Filters other object's events (customizes title bar's context menu) More...
virtual void | exportPDF (const QString &)
Folder * | folder ()
| Returns the pointer to the parent folder of the window. More...
| MdiSubWindow (const QString &label=QString(), ApplicationWindow *app=0, const QString &name=QString(), Qt::WFlags f=0)
| Constructor. More...
QSize | minRestoreSize ()
| Returns the size the window had before a change state event to minimized. More...
QString | name ()
| Return the window name. More...
void | resizeEvent (QResizeEvent *)
void | restoreWindow ()
| Show window making sure that layers in MultiLayer windows are not resized. More...
void | setBirthDate (const QString &s)
| Set the creation date. More...
void | setCaptionPolicy (CaptionPolicy policy)
| Set the caption policy. More...
void | setFolder (Folder *f)
| Initializes the pointer to the parent folder of the window. More...
virtual void | setHidden ()
| Notifies that a window was hidden by a direct user action. More...
void | setMaximized ()
void | setMinimized ()
void | setName (const QString &s)
| Set the window name. More...
void | setNormal ()
void | setStatus (Status s)
| Set the window status flag (hidden, normal, minimized or maximized) More...
void | setWindowLabel (const QString &s)
| Set the window label. More...
virtual QString | sizeToString ()
| Size of the widget as a string. More...
Status | status ()
| Return the window status flag (hidden, normal, minimized or maximized) More...
QString | windowLabel ()
| Return the window label. More...

## Private Member Functions

void | saveTab (int index, const QString &fn)

## Private Attributes

bool | autoExec
ScriptingEnv * | d_env
QWidget * | d_frame
bool | d_line_number_enabled
QTabWidget * | d_tab_widget

## Additional Inherited Members

Public Types inherited from MdiSubWindow
enum | CaptionPolicy { Name = 0, Label = 1, Both = 2 }
| Possible window captions. More...
enum | Status { Hidden = -1, Normal = 0, Minimized = 1, Maximized = 2 }
Static Public Member Functions inherited from MdiSubWindow
static QString | parseAsciiFile (const QString &fname, const QString &commentString, int endLine, int ignoreFirstLines, int maxRows, int &rows)
| Static function used as a workaround for ASCII files having end line char != ' '. More...
Protected Member Functions inherited from MdiSubWindow
virtual void | changeEvent (QEvent *event)
| Catches status changes. More...

## Detailed Description

Notes window class.

## Constructor & Destructor Documentation

Note::Note | ( | ScriptingEnv * | env,
|  | const QString & | label,
|  | ApplicationWindow * | parent,
|  | const QString & | name = `QString()`,
|  | Qt::WFlags | f = `0`
| ) |  |

References init().

Note::~Note | ( |  | ) |

inline

## Member Function Documentation

void Note::addTab | ( |  | ) |

slot

References MdiSubWindow::applicationWindow(), ApplicationWindow::completer(), ApplicationWindow::connectScriptEditor(), currentEditorChanged(), d_env, d_line_number_enabled, ApplicationWindow::d_notes_font, ApplicationWindow::d_notes_tab_length, d_tab_widget, dirPathChanged(), editor(), modifiedNote(), MdiSubWindow::name(), ApplicationWindow::scriptsDirPath, ScriptEdit::setCompleter(), ScriptEdit::setContext(), and ScriptEdit::setDirPath().

Referenced by ApplicationWindow::addNoteTab(), init(), and restore().

bool Note::autoexec | ( |  | ) | const

inline slot

References autoExec.

Referenced by ScriptEdit::contextMenuEvent().

ScriptEdit * Note::currentEditor | ( |  | ) |

References d_tab_widget, and editor().

Referenced by ApplicationWindow::commentSelection(), ApplicationWindow::decreaseNoteIndent(), evaluate(), execute(), executeAll(), exportASCII(), exportPDF(), importASCII(), ApplicationWindow::increaseNoteIndent(), ApplicationWindow::newStemPlot(), ApplicationWindow::noteFindDialogue(), ApplicationWindow::noteFindNext(), ApplicationWindow::noteFindPrev(), ApplicationWindow::noteReplaceDialogue(), StudentTestDialog::outputResults(), AnovaDialog::outputResults(), print(), restore(), ApplicationWindow::scriptingMenuAboutToShow(), setAutoexec(), setDirPath(), setName(), setText(), text(), and ApplicationWindow::uncommentSelection().

void Note::currentEditorChanged | ( |  | ) |

signal

Referenced by addTab(), and init().

void Note::dirPathChanged | ( | const QString & | path | ) |

signal

Referenced by addTab().

ScriptEdit * Note::editor | ( | int | index | ) |

References d_tab_widget.

Referenced by addTab(), currentEditor(), ConfigDialog::rehighlight(), saveTab(), and setFont().

void Note::evaluate | ( |  | ) |

inline slot

References currentEditor(), and ScriptEdit::evaluate().

Referenced by ApplicationWindow::evaluate().

void Note::execute | ( |  | ) |

inline slot

References currentEditor(), and ScriptEdit::execute().

Referenced by ApplicationWindow::execute().

void Note::executeAll | ( |  | ) |

inline slot

References currentEditor(), and ScriptEdit::executeAll().

Referenced by ApplicationWindow::executeAll().

QString Note::exportASCII | ( | const QString & | file = `QString::null` | ) |

inline slot

References currentEditor(), and ScriptEdit::exportASCII().

Referenced by ApplicationWindow::saveNoteAs().

void Note::exportPDF | ( | const QString & | fileName | ) |

inline slot

References currentEditor(), and ScriptEdit::exportPDF().

bool Note::hasLineNumbers | ( |  | ) |

inline slot

References d_line_number_enabled.

Referenced by ApplicationWindow::scriptingMenuAboutToShow().

QString Note::importASCII | ( | const QString & | file = `QString::null` | ) |

inline slot

References currentEditor(), and ScriptEdit::importASCII().

int Note::indexOf | ( | ScriptEdit * | editor | ) |

References d_tab_widget.

Referenced by ScriptEdit::setFileName().

void Note::init | ( | ScriptingEnv * | env | ) |

References addTab(), autoExec, currentEditorChanged(), d_tab_widget, MdiSubWindow::notifyChanges(), and removeTab().

Referenced by Note().

void Note::modifiedNote | ( |  | ) |

slot

References MdiSubWindow::modifiedWindow().

Referenced by addTab().

void Note::print | ( |  | ) |

inline slot

References currentEditor(), and ScriptEdit::print().

void Note::print | ( | QPrinter * | printer | ) |

inline slot

References currentEditor(), and ScriptEdit::print().

void Note::removeTab | ( | int | index = `-1` | ) |

slot

References d_tab_widget.

Referenced by ApplicationWindow::closeNoteTab(), and init().

void Note::renameCurrentTab | ( |  | ) |

slot

References d_tab_widget.

Referenced by ApplicationWindow::renameCurrentNoteTab().

void Note::renameTab | ( | int | index,
|  | const QString & | title
| ) |  |

References d_tab_widget.

Referenced by ScriptEdit::setFileName().

void Note::restore | ( | const QStringList & |  | ) |

virtual

Not implemented yet.

Reimplemented from MdiSubWindow.

References addTab(), currentEditor(), d_tab_widget, setAutoexec(), and showLineNumbers().

Referenced by ApplicationWindow::appendProject(), and ApplicationWindow::openProject().

void Note::save | ( | const QString & | fn,
|  | const QString & | info,
|  | bool | = `false`
| ) |  |

virtual

Reimplemented from MdiSubWindow.

References autoExec, MdiSubWindow::birthDate(), MdiSubWindow::captionPolicy(), d_line_number_enabled, MdiSubWindow::name(), saveTab(), tabs(), and MdiSubWindow::windowLabel().

void Note::saveTab | ( | int | index,
|  | const QString & | fn
| ) |  |

private

References d_tab_widget, and editor().

Referenced by save().

void Note::setAutoexec | ( | bool | exec | ) |

slot

References autoExec, and currentEditor().

Referenced by restore().

void Note::setDirPath | ( | const QString & | path | ) |

inline slot

References currentEditor(), and ScriptEdit::setDirPath().

void Note::setFont | ( | const QFont & | f | ) |

slot

References d_tab_widget, editor(), and LineNumberDisplay::updateLineNumbers().

Referenced by ConfigDialog::customizeNotes(), ApplicationWindow::setBoldFont(), ApplicationWindow::setFontFamily(), ApplicationWindow::setFontSize(), and ApplicationWindow::setItalicFont().

void Note::setName | ( | const QString & | name | ) |

References currentEditor(), and MdiSubWindow::setName().

Referenced by ApplicationWindow::newNote().

void Note::setTabStopWidth | ( | int | length | ) |

References d_tab_widget.

Referenced by ConfigDialog::customizeNotes(), ApplicationWindow::decreaseNoteIndent(), and ApplicationWindow::increaseNoteIndent().

void Note::setText | ( | const QString & | s | ) |

inline slot

References currentEditor().

Referenced by StudentTestDialog::outputResults(), and AnovaDialog::outputResults().

void Note::showLineNumbers | ( | bool | show = `true` | ) |

slot

Enables/Disables the line number display.

References d_line_number_enabled, and d_tab_widget.

Referenced by ConfigDialog::customizeNotes(), restore(), and ApplicationWindow::showNoteLineNumbers().

int Note::tabs | ( |  | ) |

inline

References d_tab_widget.

Referenced by ScriptEdit::contextMenuEvent(), ConfigDialog::rehighlight(), save(), and ApplicationWindow::scriptingMenuAboutToShow().

QString Note::text | ( |  | ) |

inline slot

References currentEditor().

Referenced by ApplicationWindow::scriptingMenuAboutToShow().

## Member Data Documentation

bool Note::autoExec

private

Referenced by autoexec(), init(), save(), and setAutoexec().

ScriptingEnv* Note::d_env

private

Referenced by addTab().

QWidget* Note::d_frame

private

bool Note::d_line_number_enabled

private

Referenced by addTab(), hasLineNumbers(), save(), and showLineNumbers().

QTabWidget* Note::d_tab_widget

private

Referenced by addTab(), currentEditor(), editor(), indexOf(), init(), removeTab(), renameCurrentTab(), renameTab(), restore(), saveTab(), setFont(), setTabStopWidth(), showLineNumbers(), and tabs().

The documentation for this class was generated from the following files:

- qtiplot/src/scripting/Note.h
- qtiplot/src/scripting/Note.cpp